Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,729,023 Members 41,062 Now Online
XDA Developers Android and Mobile Development Forum

[Q] Lg G2 D803 flashing problems

Tip us?
 
oakster15
Old
(Last edited by oakster15; 22nd January 2014 at 03:50 PM.) Reason: added info
#1  
Junior Member - OP
Thanks Meter 1
Posts: 4
Join Date: Jan 2014
Default [Q] Lg G2 D803 flashing problems

Hello everyone,

I'm trying to flash a rom for the first time and I've been fighting with TWRP for the last week or so. Here's what I've done. LG G2 D803 Rogers Canada

1. Rooted Device.
2. Installed TWRP Manager and Installed TWRP Recovery Image (2.6.3.2) and I can restore with no issues.
3. Downloaded latest PA 4.4 roms for my phone version (LG G2 D803), including the most recent GAPPS (mini modular). And transferred to phone.
4. Reboot into recovery.
5. Wipe Cache, Dalvik, Data, ... etc)
6. Select install ROM.
7. Get error right away (E:Error executing updater binary in zip)
8. Flashing rom FAILED.

What can I do to fix this?

My device is not supported on CWMR, so I'm not sure if that would work. Also, I've tried downloading older roms, so I'm pretty sure it's not a bad download issue.


Thanks for any help!
 
gusly
Old
#2  
gusly's Avatar
Member
Thanks Meter 15
Posts: 96
Join Date: Jan 2014
Location: Pincourt
TWRP 2.6.3.2 isn't the latest release, so that might be your problem. Go here: http://forum.xda-developers.com/show....php?t=2469995 flash the new zip from your current TWRP, and you should be able to flash KitKat ROMs now. Or, if you prefer CWM, there's PhilZ Touch CWM here http://forum.xda-developers.com/show....php?t=2554053
The Following 2 Users Say Thank You to gusly For This Useful Post: [ Click to Expand ]
 
oakster15
Old
#3  
Junior Member - OP
Thanks Meter 1
Posts: 4
Join Date: Jan 2014
Quote:
Originally Posted by gusly View Post
TWRP 2.6.3.2 isn't the latest release, so that might be your problem. Go here: http://forum.xda-developers.com/show....php?t=2469995 flash the new zip from your current TWRP, and you should be able to flash KitKat ROMs now. Or, if you prefer CWM, there's PhilZ Touch CWM here http://forum.xda-developers.com/show....php?t=2554053
Gave you a thanks, it worked perfectly! Wohoo!
 
gusly
Old
#4  
gusly's Avatar
Member
Thanks Meter 15
Posts: 96
Join Date: Jan 2014
Location: Pincourt
Quote:
Originally Posted by oakster15 View Post
Gave you a thanks, it worked perfectly! Wohoo!
No problem man. Had the same problem myself, so I knew how to fix it

Sent from my G2 using Tapatalk
Devices:

Sony Ericsson Xperia x10a (destroyed via pickaxe, shovel, and shears)

Samsung Galaxy S - CM 10.2 (retired)

LG G2 D803 - Stock rooted (Sometimes unning laest Dorimanx kernel)

Nexus 7 flo - Dirty Unicorns v7.0
 
Brava27
Old
#5  
Brava27's Avatar
Senior Member
Thanks Meter 113
Posts: 663
Join Date: Sep 2012
Location: Toronto
Quote:
Originally Posted by gusly View Post
No problem man. Had the same problem myself, so I knew how to fix it

Sent from my G2 using Tapatalk
Quote:
Originally Posted by oakster15 View Post
Gave you a thanks, it worked perfectly! Wohoo!
Hey guys. I'm having the hardest time flashing anything right now. I'm on the 2.6.3.2 and I get the binary updater problem so then I tried flashing other twrp then I get the fast boot error then I tried philz touch then I get boot certification verify error.
All I want to do is flash a 4.4.2 rom.
Canadian rom D803 here.

Thanks
Telus Galaxy S5
HTC M8, LG G2, Note 3, Note 2, Galaxy S4, Galaxy S3, Blackberry Torch 9810, Blackberry Bold 9700, Blackberry Tour 9630, iDEN Motorola i800, i790, etc, Motorola Pebble, Nokia 6000, Motorola StarTak
Telus
Toronto, Canada

 
agent3m
Old
#6  
Junior Member
Thanks Meter 2
Posts: 13
Join Date: Feb 2014
wootever's TWRP 2.6.3.4 oakster15 had posted above worked on my D803, however there are a couple of 2.6.3.4 download versions that didn't work when I flashed it while running TWRP 2.6.3.2. I'm not familar with loki but I'm guessing the one that worked had been "loki-fied".

---------- Post added at 09:49 AM ---------- Previous post was at 09:40 AM ----------

Quote:
Originally Posted by Brava27 View Post
Hey guys. I'm having the hardest time flashing anything right now. I'm on the 2.6.3.2 and I get the binary updater problem so then I tried flashing other twrp then I get the fast boot error then I tried philz touch then I get boot certification verify error.
All I want to do is flash a 4.4.2 rom.
Canadian rom D803 here.

Thanks
If you haven't' found this already, here is a great list for the D803 with several options that may work for you. http://forum.xda-developers.com/show....php?t=2611749

Hope this helps.
The Following User Says Thank You to agent3m For This Useful Post: [ Click to Expand ]
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes


XDA PORTAL POSTS

Remove Unnecessary WhatsApp Elements with Xposed

In modern life, you can’t underestimate the power ofthe dark sidemessaging … more

MaR-V-iN to Talk Google and Android APIs at XDA:DevCon 2014

Our international xda:devcon 14in Manchester, UK on the weekend of September … more

But First, Let Me Take a #Selfie

“Today while browsing XDA,I’m going tocheck to seeif my favorite ROM has been updated–but … more